Package org.eclipse.m2m.atl.emftvm.util

## Class EMFTVMUtil.RegistryTypeSwitch

- java.lang.Object
- - org.eclipse.emf.ecore.util.Switch<T>
  - - org.eclipse.emf.ecore.util.EcoreSwitch<java.lang.Object>
    - - org.eclipse.m2m.atl.emftvm.util.EMFTVMUtil.RegistryTypeSwitch

Enclosing class:
  EMFTVMUtil

    public static class EMFTVMUtil.RegistryTypeSwitch
    extends org.eclipse.emf.ecore.util.EcoreSwitch<java.lang.Object>

Returns the registry type of the switched object.

### Field Summary

### Fields inherited from class org.eclipse.emf.ecore.util.EcoreSwitch

`modelPackage`

### Constructor Summary

Constructors
`RegistryTypeSwitch()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `caseEClass​(org.eclipse.emf.ecore.EClass object)`
`java.lang.Object` `caseEClassifier​(org.eclipse.emf.ecore.EClassifier object)`
`java.lang.Object` `caseEEnum​(org.eclipse.emf.ecore.EEnum object)`
`java.lang.Object` `defaultCase​(org.eclipse.emf.ecore.EObject object)`

### Methods inherited from class org.eclipse.emf.ecore.util.EcoreSwitch

`caseEAnnotation, caseEAttribute, caseEDataType, caseEEnumLiteral, caseEFactory, caseEGenericType, caseEModelElement, caseENamedElement, caseEOperation, caseEPackage, caseEParameter, caseEReference, caseEStringToStringMapEntry, caseEStructuralFeature, caseETypedElement, caseETypeParameter, doSwitch, isSwitchFor`

### Methods inherited from class org.eclipse.emf.ecore.util.Switch

`doSwitch, doSwitch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RegistryTypeSwitch

    public RegistryTypeSwitch()

### Method Detail

#### defaultCase

    public java.lang.Object defaultCase​(org.eclipse.emf.ecore.EObject object)

Overrides:
  `defaultCase` in class `org.eclipse.emf.ecore.util.EcoreSwitch<java.lang.Object>`

#### caseEClass

    public java.lang.Object caseEClass​(org.eclipse.emf.ecore.EClass object)

Overrides:
  `caseEClass` in class `org.eclipse.emf.ecore.util.EcoreSwitch<java.lang.Object>`

#### caseEClassifier

    public java.lang.Object caseEClassifier​(org.eclipse.emf.ecore.EClassifier object)

Overrides:
  `caseEClassifier` in class `org.eclipse.emf.ecore.util.EcoreSwitch<java.lang.Object>`

#### caseEEnum

    public java.lang.Object caseEEnum​(org.eclipse.emf.ecore.EEnum object)

Overrides:
  `caseEEnum` in class `org.eclipse.emf.ecore.util.EcoreSwitch<java.lang.Object>`